// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.subsystems.Drivebase;
import frc.robot.subsystems.Elevator;

public class RobotContainer {
    private Drivebase drivebase;
    private Elevator elevator;

    private CommandXboxController driver;

    public RobotContainer() {
        drivebase = new Drivebase();
        elevator = new Elevator();

        driver = new CommandXboxController(0);

        configureBindings();
    }

    private void configureBindings() {
        drivebase.setDefaultCommand(getAutonomousCommand());
        elevator.setDefaultCommand(elevator.holdElevator());

        driver.povDown().onTrue(
            elevator.goToSetpoint(0)
        );

        driver.povRight().onTrue(
            elevator.goToSetpoint(0)
        );

        driver.povUp().onTrue(
            elevator.goToSetpoint(0)
        );

        driver.rightStick().whileTrue(
            elevator.manualControl(
                driver.getRightY()
            )
        );
    }

    public Command getAutonomousCommand() {
        return Commands.print("No autonomous command configured");
    }
}
